<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

$GLOBALS['TCA']['tx_timedugs_mm_recs'] = array (
    'ctrl' => array (
		'title'     => 'LLL:EXT:timed_ugs/Resources/Private/Locallang/locallang.xlf:tx_timedugs_mm_recs',		
		'label'     => 'group_uid',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY group_uid',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',
		),
		'iconfile'          => TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('timed_ugs').'icon_tx_timedugs_mm_recs.gif',
	),
    'interface' => array (
        'showRecordFieldList' => 'hidden,starttime,endtime,group_uid'
    ),
    'feInterface' => $GLOBALS['TCA']['tx_timedugs_mm_recs']['feInterface'],
    'columns' => array (
        'hidden' => array (
            'exclude' => 1,
            'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
            'config'  => array (
                'type'    => 'check',
                'default' => '0'
            )
        ),
        'starttime' => array (
            'exclude' => 1,
            'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
            'config'  => array (
                'type'     => 'input',
                'size'     => '8',
                'max'      => '20',
                'eval'     => 'date',
                'default'  => '0',
                'checkbox' => '0'
            )
        ),
        'endtime' => array (
            'exclude' => 1,
            'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
            'config'  => array (
                'type'     => 'input',
                'size'     => '8',
                'max'      => '20',
                'eval'     => 'date',
                'checkbox' => '0',
                'default'  => '0',
                'range'    => array (
                    'upper' => mktime(3, 14, 7, 1, 19, 2038),
                    'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
                )
            )
        ),
        'group_uid' => array (
            'exclude' => 1,
            'label' => 'LLL:EXT:timed_ugs/Resources/Private/Language/locallang.xlf:tx_timedugs_mm_recs.group_uid',
            'config' => array (
                'type' => 'group',
                'internal_type' => 'db',
                'allowed' => 'fe_groups',
                'size' => 1,
                'minitems' => 0,
                'maxitems' => 1,
            )
        ),
    ),
    'types' => array (
        '0' => array('showitem' => 'hidden;;1;;1-1-1, group_uid')
    ),
    'palettes' => array (
        '1' => array('showitem' => 'starttime, endtime')
    )
);
